UMAD_GET_PKEY(3)

NAME
umad_get_pkey - get pkey index from umad buffer

SYNOPSIS
#include <infiniband/umad.h>

int umad_get_pkey(void *umad);

DESCRIPTION
umad_get_pkey() gets the pkey index from the specified umad buffer.

RETURN VALUE
umad_get_pkey() returns value of pkey index (or zero if pkey index is not supported by user_mad interface).

AUTHOR

Sasha Khapyorsky <sashak@voltaire.com>